mod application;
mod calculator;
mod entry;

use mlua::prelude::*;

#[mlua::lua_module]
fn lenses(lua: &Lua) -> LuaResult<LuaTable> {
    let exports = lua.create_table()?;
    // lua.create_fun
    // exports.push(application::query)?;
    exports.set("1", lua.create_function(calculator::query)?)?;
    exports.set("2", lua.create_function(application::query)?)?;

    Ok(exports)
}
