local vars = require "misc.vars"
local wibox = require "wibox"
local h = require "misc.helpers"

local clock = wibox.widget {
    widget = wibox.container.place,
    {
        format = "%H\n%M",
        widget = wibox.widget.textclock,
        font = vars.font
    },
}

h.tooltip({ clock }, function()
    return os.date("%a %d/%m/%y")
end)

return clock
